﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Kevin.WebForm.Sample
{
    public class User
    {
        public int ID
        {
            get;
            set;
        }

        public string Name
        {
            get;
            set;
        }

        public string Email
        {
            get;
            set;
        }

        public string Mobile
        {
            get;
            set;
        }
    }

    public class Data
    {
        public static IEnumerable<User> Users
        {
            get;
            private set;
        }

        static Data()
        {
            var list = new List<User>();
            for (int i = 0; i < 5; i++)
            {
                var user = new User();
                user.ID = i;
                var str = i.ToString();
                user.Name = string.Format("Name_{0}", str);
                user.Email = string.Format("Email_{0}", str);
                user.Mobile = string.Format("Mobile_{0}", str);
                list.Add(user);
            }
            Users = list;
        }
    }
}